UPSC(8)

NAME
upsc - example lightweight UPS client

SYNOPSIS
upsc ups [variable]

DESCRIPTION
upsc is provided as a quick way to poll the status of a UPS server. It can be used inside shell scripts and other programs that need UPS data but don't want to include the full interface.

OPTIONS

ups Display the status of that UPS. The format for this option is upsname@hostname[:port]. For example, "myups@mybox:1234" would poll a UPS called "myups" on a host called "mybox", with upsd(8) running on port 1234.

variable
    Display the value of this variable only. By default, upsc retrieves the list of variables from the server and then displays the value for each. This may be useful in shell scripts to save an additional pipe into grep.

DIAGNOSTICS
upsc will either print a list of all supported variables and their values on the UPS or an error message. If you receive an error, make sure you have specified a valid UPS on the command line, that upsd(8) is really running on the other host and that no firewalls are blocking you.

HISTORY
Earlier versions of this program used the upsfetch library and UDP sockets to talk to upsd. This version of upsc uses the new upsclient library, which only talks TCP. This is why upsct no longer exists.

SEE ALSO
upsd(8)

  Internet resources:
The NUT (Network UPS Tools) home page: http://www.exploits.org/nut/ NUT mailing list archives and information: http://lists.exploits.org/